JNA API 3.3.0

## com.sun.jna
Class Structure.FFIType

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.Structure.FFIType

Enclosing class:
  Structure

    static class Structure.FFIType

extends Structure

This class auto-generates an ffi_type structure appropriate for a given structure for use by libffi. The lifecycle of this structure is easier to manage on the Java side than in native code.

Nested Class Summary
`static class` | `Structure.FFIType.size_t`

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByReference, Structure.ByValue, Structure.FFIType, Structure.StructField`

Field Summary
`short` | `alignment`
`Pointer` | `elements`
`Structure.FFIType.size_t` | `size`
`short` | `type`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE, isPPC, isSPARC, MAX_GNUC_ALIGNMENT`

Method Summary
`(package private) static Pointer` | `get(Object obj)`

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, busy, cacheTypeInfo, calculateAlignedSize, calculateSize, clear, ensureAllocated, equals, fields, getAutoRead, getAutoWrite, getField, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, getTypeInfo, getTypeInfo, hashCode, newInstance, read, readField, readField, reading, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setField, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, toString, updateStructureByReference, useMemory, useMemory, write, writeField, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### size

    public Structure.FFIType.size_t size

### alignment

    public short alignment

### type

    public short type

### elements

    public Pointer elements

Method Detail

### get

    static Pointer get(Object obj)

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.